rev 6390 - in trunk/packages/qt-x11-free/debian: . patches

Sune Vuorela pusling-guest at alioth.debian.org
Tue May 29 11:13:21 UTC 2007


Author: pusling-guest
Date: 2007-05-29 11:13:20 +0000 (Tue, 29 May 2007)
New Revision: 6390

Added:
   trunk/packages/qt-x11-free/debian/patches/65_gcc-4.2_qbuttons.h-fix.dpatch
   trunk/packages/qt-x11-free/debian/patches/66_gcc-4.3_compile-fix.dpatch
Modified:
   trunk/packages/qt-x11-free/debian/changelog
   trunk/packages/qt-x11-free/debian/patches/00list
Log:
compile fixes


Modified: trunk/packages/qt-x11-free/debian/changelog
===================================================================
--- trunk/packages/qt-x11-free/debian/changelog	2007-05-28 18:44:37 UTC (rev 6389)
+++ trunk/packages/qt-x11-free/debian/changelog	2007-05-29 11:13:20 UTC (rev 6390)
@@ -1,3 +1,13 @@
+qt-x11-free (3:3.3.7-5) unstable; urgency=low
+
+  +++ Changes by Sune Vuorela:
+
+  * Add fix to qbutton.h with gcc-4.2 and higher (Closes: #409512)
+  * Add fix to compile with gcc-4.3 (Closes: 417499). Thanks to Martin
+    Michlmayr
+
+ -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Tue, 29 May 2007 13:07:33 +0200
+
 qt-x11-free (3:3.3.7-4) unstable; urgency=high
 
   * Add patch to fix issue with utf8 parsing.

Modified: trunk/packages/qt-x11-free/debian/patches/00list
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/00list	2007-05-28 18:44:37 UTC (rev 6389)
+++ trunk/packages/qt-x11-free/debian/patches/00list	2007-05-29 11:13:20 UTC (rev 6390)
@@ -42,3 +42,5 @@
 62_bengali_charfix
 63_qmake_hurd
 64_utf8-parsing-vulnerability
+65_gcc-4.2_qbuttons.h-fix.dpatch
+66_gcc-4.3_compile-fix.dpatch

Added: trunk/packages/qt-x11-free/debian/patches/65_gcc-4.2_qbuttons.h-fix.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/65_gcc-4.2_qbuttons.h-fix.dpatch	                        (rev 0)
+++ trunk/packages/qt-x11-free/debian/patches/65_gcc-4.2_qbuttons.h-fix.dpatch	2007-05-29 11:13:20 UTC (rev 6390)
@@ -0,0 +1,48 @@
+#! /bin/sh -e
+## fixes compilation issues of programs using qbuttons.h with gcc4.2
+## by Sune Vuorela
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixes qbutton.h to be uasble with gcc4.2
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+pusling at scrooge:~/qt-x11-free-3.3.8/src/widgets$ diff -u qbutton.h /usr/include/qt3/qbutton.h
+--- qt-x11-free/src/widgets/qbutton.h   2007-05-29 12:41:39.000000000 +0200
++++ qt-x11-free/src/widgets/qbutton.h  2007-04-15 14:03:45.000000000 +0200
+@@ -180,7 +180,7 @@
+
+ inline bool QButton::isToggleButton() const
+ {
+-    return toggleTyp != SingleShot;
++    return ToggleType(toggleTyp) != SingleShot;
+ }
+
+ inline  bool QButton::isDown() const
+@@ -190,7 +190,7 @@
+
+ inline bool QButton::isOn() const
+ {
+-    return stat != Off;
++    return ToggleState(stat) != Off;
+ }
+
+ #ifndef QT_NO_COMPAT
+


Property changes on: trunk/packages/qt-x11-free/debian/patches/65_gcc-4.2_qbuttons.h-fix.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/packages/qt-x11-free/debian/patches/66_gcc-4.3_compile-fix.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/66_gcc-4.3_compile-fix.dpatch	                        (rev 0)
+++ trunk/packages/qt-x11-free/debian/patches/66_gcc-4.3_compile-fix.dpatch	2007-05-29 11:13:20 UTC (rev 6390)
@@ -0,0 +1,46 @@
+#! /bin/sh -e
+## fixes compilation issue- with gcc 4.3
+## by Sune Vuorela
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixes compilation issues with gcc 4.3
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p0 ${patch_opts} < $0;;
+    -unpatch) patch -R -p0 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- plugins/src/inputmethods/imsw-none/qnoneinputcontextplugin.cpp~     2007-04-05 09:47:44.000000000 +0000
++++ plugins/src/inputmethods/imsw-none/qnoneinputcontextplugin.cpp      2007-04-05 09:48:08.000000000 +0000
+@@ -44,6 +44,7 @@
+ #include "qnoneinputcontextplugin.h"
+ #include <qinputcontextfactory.h>
+ #include <qsettings.h>
++#include <cstdlib>
+ 
+ 
+ QNoneInputContextPlugin::QNoneInputContextPlugin()
+--- plugins/src/inputmethods/simple/qsimpleinputcontext.cpp~    2007-04-05 09:48:46.000000000 +0000
++++ plugins/src/inputmethods/simple/qsimpleinputcontext.cpp     2007-04-05 09:48:54.000000000 +0000
+@@ -45,6 +45,7 @@
+ #include <qnamespace.h>
+ #include <qevent.h>
+ #include <qglobal.h>
++#include <algorithm>
+ 
+ static const int ignoreKeys[] = {
+     Qt::Key_Shift,


Property changes on: trunk/packages/qt-x11-free/debian/patches/66_gcc-4.3_compile-fix.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-kde-commits mailing list